<?xml version="1.0" encoding="UTF-8"?>
<!-- Created with Jaspersoft Studio version 6.18.1.final using JasperReports Library version 6.18.1-9d75d1969e774d4f179fb3be8401e98a0e6d1611  -->
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="FakturPenjualan" pageWidth="612" pageHeight="792" columnWidth="572" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20" uuid="c5adcf42-9cef-4b38-b387-c770fcd6e527">
	<property name="com.jaspersoft.studio.data.defaultdataadapter" value="Mysql"/>
	<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
	<subDataset name="Item" uuid="6d5dcd86-89b5-4b9e-8c03-f358e69eaa5f">
		<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
		<property name="com.jaspersoft.studio.data.defaultdataadapter" value="Mysql"/>
		<parameter name="invoicId" class="java.lang.String"/>
		<queryString language="SQL">
			<![CDATA[SELECT tbinvoiceitem.unitprice,
	tbinvoiceitem.amount,
	tbinvoiceitem.weight,
	tbinvoiceitem.quantity,
	tbinvoiceitem.kg,
	tbinvoiceitem.ctn,
	tbinvoiceitem.id,
	tbinvoiceitem.taxrate,
	tbinvoiceitem.alternative_name,
	tbproduct.name,
	tbproduct.unit_id,
	tbproduct.sale_price,
	tbproduct.is_raw_material,
	tbmasterunit.name AS unitmeanstrument,
	tbproductweight.name AS name_weight
FROM tbinvoice
	inner join tbinvoiceitem ON 
	 tbinvoice.id = tbinvoiceitem.invoice 
	inner join tbproduct ON 
	 tbproduct.id = tbinvoiceitem.product 
	inner join tbmasterunit ON 
	 tbproduct.unit_id = tbmasterunit.id
	  inner join tbproductweight ON
	 tbproduct.product_weight_id = tbproductweight.id
WHERE 
	 tbinvoice.id = $P{invoicId}
	 ORDER BY tbinvoiceitem.id]]>
		</queryString>
		<field name="unitprice" class="java.math.BigDecimal">
			<property name="com.jaspersoft.studio.field.name" value="unitprice"/>
			<property name="com.jaspersoft.studio.field.label" value="unitprice"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoiceitem"/>
			<fieldDescription><![CDATA[]]></fieldDescription>
		</field>
		<field name="amount" class="java.math.BigDecimal">
			<property name="com.jaspersoft.studio.field.name" value="amount"/>
			<property name="com.jaspersoft.studio.field.label" value="amount"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoiceitem"/>
			<fieldDescription><![CDATA[]]></fieldDescription>
		</field>
		<field name="weight" class="java.math.BigDecimal">
			<property name="com.jaspersoft.studio.field.name" value="weight"/>
			<property name="com.jaspersoft.studio.field.label" value="weight"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoiceitem"/>
			<fieldDescription><![CDATA[]]></fieldDescription>
		</field>
		<field name="quantity" class="java.lang.Integer">
			<property name="com.jaspersoft.studio.field.name" value="quantity"/>
			<property name="com.jaspersoft.studio.field.label" value="quantity"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoiceitem"/>
			<fieldDescription><![CDATA[]]></fieldDescription>
		</field>
		<field name="kg" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.name" value="kg"/>
			<property name="com.jaspersoft.studio.field.label" value="kg"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoiceitem"/>
		</field>
		<field name="ctn" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.name" value="ctn"/>
			<property name="com.jaspersoft.studio.field.label" value="ctn"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoiceitem"/>
		</field>
		<field name="id" class="java.lang.Long">
			<property name="com.jaspersoft.studio.field.name" value="id"/>
			<property name="com.jaspersoft.studio.field.label" value="id"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoiceitem"/>
		</field>
		<field name="taxrate" class="java.math.BigDecimal">
			<property name="com.jaspersoft.studio.field.name" value="taxrate"/>
			<property name="com.jaspersoft.studio.field.label" value="taxrate"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoiceitem"/>
			<fieldDescription><![CDATA[]]></fieldDescription>
		</field>
		<field name="alternative_name" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.name" value="alternative_name"/>
			<property name="com.jaspersoft.studio.field.label" value="alternative_name"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoiceitem"/>
		</field>
		<field name="name" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.name" value="name"/>
			<property name="com.jaspersoft.studio.field.label" value="name"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbproduct"/>
			<fieldDescription><![CDATA[]]></fieldDescription>
		</field>
		<field name="unit_id" class="java.lang.Long">
			<property name="com.jaspersoft.studio.field.name" value="unit_id"/>
			<property name="com.jaspersoft.studio.field.label" value="unit_id"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbproduct"/>
			<fieldDescription><![CDATA[]]></fieldDescription>
		</field>
		<field name="sale_price" class="java.math.BigDecimal">
			<property name="com.jaspersoft.studio.field.name" value="sale_price"/>
			<property name="com.jaspersoft.studio.field.label" value="sale_price"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbproduct"/>
			<fieldDescription><![CDATA[]]></fieldDescription>
		</field>
		<field name="is_raw_material" class="java.lang.Boolean">
			<property name="com.jaspersoft.studio.field.name" value="is_raw_material"/>
			<property name="com.jaspersoft.studio.field.label" value="is_raw_material"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbproduct"/>
		</field>
		<field name="unitmeanstrument" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.name" value="name"/>
			<property name="com.jaspersoft.studio.field.label" value="unitmeanstrument"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbmasterunit"/>
		</field>
		<field name="name_weight" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.name" value="name"/>
			<property name="com.jaspersoft.studio.field.label" value="name_weight"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbproductweight"/>
		</field>
		<group name="quantity">
			<groupExpression><![CDATA[$F{quantity}]]></groupExpression>
		</group>
	</subDataset>
	<subDataset name="AdressLine1" uuid="161e722e-7c2f-46c8-8095-f3d42eaee4a1">
		<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
		<property name="com.jaspersoft.studio.data.defaultdataadapter" value="Mysql"/>
		<queryString language="SQL">
			<![CDATA[select*from tbsysprop where name= 'organisation.addressLine1']]>
		</queryString>
		<field name="value" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.name" value="value"/>
			<property name="com.jaspersoft.studio.field.label" value="value"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbsysprop"/>
			<fieldDescription><![CDATA[]]></fieldDescription>
		</field>
	</subDataset>
	<subDataset name="AddressLine2" uuid="c46a6ed9-ef33-46d8-bbea-1643087c4b08">
		<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
		<property name="com.jaspersoft.studio.data.defaultdataadapter" value="Mysql"/>
		<queryString language="SQL">
			<![CDATA[select*from tbsysprop where name='organisation.addressLine2']]>
		</queryString>
		<field name="value" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.name" value="value"/>
			<property name="com.jaspersoft.studio.field.label" value="value"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbsysprop"/>
			<fieldDescription><![CDATA[]]></fieldDescription>
		</field>
	</subDataset>
	<subDataset name="Name" uuid="6a349e75-0851-4884-85fd-71e6e3ae59dc">
		<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
		<property name="com.jaspersoft.studio.data.defaultdataadapter" value="Mysql"/>
		<queryString language="SQL">
			<![CDATA[select*from tbsysprop where name='organisation.name']]>
		</queryString>
		<field name="value" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.name" value="value"/>
			<property name="com.jaspersoft.studio.field.label" value="value"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbsysprop"/>
			<fieldDescription><![CDATA[]]></fieldDescription>
		</field>
	</subDataset>
	<subDataset name="Fax" uuid="01b4961f-13da-4e09-a340-4da5b6a54493">
		<property name="com.jaspersoft.studio.data.defaultdataadapter" value="Mysql"/>
		<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
		<queryString>
			<![CDATA[select*from tbsysprop where name='organisation.fax']]>
		</queryString>
		<field name="name" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.name" value="name"/>
			<property name="com.jaspersoft.studio.field.label" value="name"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbsysprop"/>
			<fieldDescription><![CDATA[]]></fieldDescription>
		</field>
		<field name="value" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.name" value="value"/>
			<property name="com.jaspersoft.studio.field.label" value="value"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbsysprop"/>
			<fieldDescription><![CDATA[]]></fieldDescription>
		</field>
	</subDataset>
	<subDataset name="Phone" uuid="55e9be1c-834c-443f-8acc-8f729e63aec2">
		<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
		<property name="com.jaspersoft.studio.data.defaultdataadapter" value="Mysql"/>
		<queryString language="SQL">
			<![CDATA[select*from tbsysprop where name='organisation.phone']]>
		</queryString>
		<field name="value" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.name" value="value"/>
			<property name="com.jaspersoft.studio.field.label" value="value"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbsysprop"/>
			<fieldDescription><![CDATA[]]></fieldDescription>
		</field>
	</subDataset>
	<subDataset name="AddreesCustomer" uuid="71511375-0d0d-4cdb-ac36-16bffac9d68e">
		<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
		<property name="com.jaspersoft.studio.data.defaultdataadapter" value="Mysql"/>
		<parameter name="invoicId" class="java.lang.String"/>
		<queryString language="SQL">
			<![CDATA[SELECT tbcustomer.name,
	tbcustomer.company_name,
	tbcustomer.deliveryaddress,
	tbcustomer.enable_tax,
	tbcustomer.npwpcompanyname as npwpcompany
FROM tbinvoice
	inner join tbcustomer ON 
	 tbinvoice.customer = tbcustomer.id 
WHERE 
	 tbinvoice.id = $P{invoicId}]]>
		</queryString>
		<field name="name" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.name" value="name"/>
			<property name="com.jaspersoft.studio.field.label" value="name"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbcustomer"/>
			<fieldDescription><![CDATA[]]></fieldDescription>
		</field>
		<field name="company_name" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.name" value="company_name"/>
			<property name="com.jaspersoft.studio.field.label" value="company_name"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbcustomer"/>
			<fieldDescription><![CDATA[]]></fieldDescription>
		</field>
		<field name="deliveryaddress" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.name" value="deliveryaddress"/>
			<property name="com.jaspersoft.studio.field.label" value="deliveryaddress"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbcustomer"/>
			<fieldDescription><![CDATA[]]></fieldDescription>
		</field>
		<field name="enable_tax" class="java.lang.Boolean">
			<property name="com.jaspersoft.studio.field.name" value="enable_tax"/>
			<property name="com.jaspersoft.studio.field.label" value="enable_tax"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbcustomer"/>
		</field>
		<field name="npwpcompany" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.name" value="npwpcompanyname"/>
			<property name="com.jaspersoft.studio.field.label" value="npwpcompany"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbcustomer"/>
		</field>
		<group name="name">
			<groupExpression><![CDATA[$F{name}]]></groupExpression>
		</group>
	</subDataset>
	<subDataset name="TotalPPn" uuid="a60bfc2b-2273-4dd2-b0a3-50a35c06238d">
		<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
		<property name="com.jaspersoft.studio.data.defaultdataadapter" value="test"/>
		<parameter name="invoicId" class="java.lang.String"/>
		<queryString language="SQL">
			<![CDATA[select gst from tbinvoice where tbinvoice.id= $P{invoicId}]]>
		</queryString>
		<field name="gst" class="java.math.BigDecimal">
			<property name="com.jaspersoft.studio.field.name" value="gst"/>
			<property name="com.jaspersoft.studio.field.label" value="gst"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoice"/>
			<fieldDescription><![CDATA[]]></fieldDescription>
		</field>
	</subDataset>
	<subDataset name="ppn" uuid="891114e6-fd2e-4b48-a47a-cac097deb3e7">
		<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
		<property name="com.jaspersoft.studio.data.defaultdataadapter" value="test"/>
		<queryString language="SQL">
			<![CDATA[select value from tbsysprop where name = "ppn"]]>
		</queryString>
		<field name="value" class="java.lang.String">
			<property name="com.jaspersoft.studio.field.name" value="value"/>
			<property name="com.jaspersoft.studio.field.label" value="value"/>
			<property name="com.jaspersoft.studio.field.tree.path" value="tbsysprop"/>
			<fieldDescription><![CDATA[]]></fieldDescription>
		</field>
	</subDataset>
	<parameter name="invoiceId" class="java.lang.String"/>
	<queryString>
		<![CDATA[SELECT tbinvoice.invoicedate,
	tbinvoice.reference,
	tbinvoice.subtotal,
	tbinvoice.id,
	tbinvoice.monthly_sequence,
	tbinvoice.description,
	tbinvoice.total,
	tbinvoice.invoicecode,
	tbinvoice.delivery_charge,
	tbmasterorganisation.id AS organisation_id,
	tbmasterorganisation.name,
	tbmasterorganisation.address_line_1,
	tbmasterorganisation.address_line_2,
	tbmasterorganisation.phone,
	tbmasterorganisation.fax,
	bank_name,
	bank_acct_number,
	bank_acct_holder,
	tbinvoice.discount,
	tbcustomer.enable_tax,
	tbcustomer.name AS customername,
	tbcustomer.company_name AS customercompanyname,
	tbinvoice.gst
FROM tbinvoice
	inner join tbcustomer ON 
	 tbinvoice.customer = tbcustomer.id 
	inner join tbmasterorganisation ON 
	 tbcustomer.organisation_id = tbmasterorganisation.id 
WHERE 
	 tbinvoice.id = $P{invoiceId}]]>
	</queryString>
	<field name="invoicedate" class="java.sql.Date">
		<property name="com.jaspersoft.studio.field.name" value="invoicedate"/>
		<property name="com.jaspersoft.studio.field.label" value="invoicedate"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoice"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="reference" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="reference"/>
		<property name="com.jaspersoft.studio.field.label" value="reference"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoice"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="subtotal" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="subtotal"/>
		<property name="com.jaspersoft.studio.field.label" value="subtotal"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoice"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="id" class="java.lang.Long">
		<property name="com.jaspersoft.studio.field.name" value="id"/>
		<property name="com.jaspersoft.studio.field.label" value="id"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoice"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="monthly_sequence" class="java.lang.Long">
		<property name="com.jaspersoft.studio.field.name" value="monthly_sequence"/>
		<property name="com.jaspersoft.studio.field.label" value="monthly_sequence"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoice"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="description" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="description"/>
		<property name="com.jaspersoft.studio.field.label" value="description"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoice"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="total" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="total"/>
		<property name="com.jaspersoft.studio.field.label" value="total"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoice"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="invoicecode" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="invoicecode"/>
		<property name="com.jaspersoft.studio.field.label" value="invoicecode"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoice"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="delivery_charge" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="delivery_charge"/>
		<property name="com.jaspersoft.studio.field.label" value="delivery_charge"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoice"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="organisation_id" class="java.lang.Long">
		<property name="com.jaspersoft.studio.field.name" value="id"/>
		<property name="com.jaspersoft.studio.field.label" value="organisation_id"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbmasterorganisation"/>
	</field>
	<field name="name" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="name"/>
		<property name="com.jaspersoft.studio.field.label" value="name"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbmasterorganisation"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="address_line_1" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="address_line_1"/>
		<property name="com.jaspersoft.studio.field.label" value="address_line_1"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbmasterorganisation"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="address_line_2" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="address_line_2"/>
		<property name="com.jaspersoft.studio.field.label" value="address_line_2"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbmasterorganisation"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="phone" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="phone"/>
		<property name="com.jaspersoft.studio.field.label" value="phone"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbmasterorganisation"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="fax" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="fax"/>
		<property name="com.jaspersoft.studio.field.label" value="fax"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbmasterorganisation"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="bank_name" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="bank_name"/>
		<property name="com.jaspersoft.studio.field.label" value="bank_name"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbmasterorganisation"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="bank_acct_number" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="bank_acct_number"/>
		<property name="com.jaspersoft.studio.field.label" value="bank_acct_number"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbmasterorganisation"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="bank_acct_holder" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="bank_acct_holder"/>
		<property name="com.jaspersoft.studio.field.label" value="bank_acct_holder"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbmasterorganisation"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="discount" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="discount"/>
		<property name="com.jaspersoft.studio.field.label" value="discount"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoice"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="enable_tax" class="java.lang.Boolean">
		<property name="com.jaspersoft.studio.field.name" value="enable_tax"/>
		<property name="com.jaspersoft.studio.field.label" value="enable_tax"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbcustomer"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="customername" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="name"/>
		<property name="com.jaspersoft.studio.field.label" value="customername"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbcustomer"/>
	</field>
	<field name="customercompanyname" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="company_name"/>
		<property name="com.jaspersoft.studio.field.label" value="customercompanyname"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbcustomer"/>
	</field>
	<field name="gst" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="gst"/>
		<property name="com.jaspersoft.studio.field.label" value="gst"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoice"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<variable name="subtotal_SUM" class="java.math.BigDecimal" calculation="Sum">
		<variableExpression><![CDATA[$F{subtotal}]]></variableExpression>
	</variable>
	<variable name="isPPn" class="java.lang.Boolean">
		<variableExpression><![CDATA[$F{enable_tax}]]></variableExpression>
	</variable>
	<background>
		<band splitType="Stretch"/>
	</background>
	<pageHeader>
		<band height="134" splitType="Stretch">
			<staticText>
				<reportElement x="-12" y="69" width="60" height="16" uuid="f94bab5e-51ab-47e8-a0df-6eb4d5e8d48c"/>
				<textElement verticalAlignment="Middle">
					<font fontName="SansSerif" size="9"/>
				</textElement>
				<text><![CDATA[No. Faktur]]></text>
			</staticText>
			<staticText>
				<reportElement x="48" y="100" width="7" height="15" uuid="74f5115f-2c95-47f9-9b97-d067e32c6373">
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
				</reportElement>
				<textElement verticalAlignment="Middle">
					<font fontName="SansSerif" size="9"/>
				</textElement>
				<text><![CDATA[:]]></text>
			</staticText>
			<staticText>
				<reportElement x="180" y="52" width="210" height="18" uuid="8c3fd9b6-c871-4af9-a277-e3425cd08ed9"/>
				<textElement textAlignment="Center">
					<font fontName="SansSerif" size="13" isBold="true" isItalic="false"/>
				</textElement>
				<text><![CDATA[FAKTUR PENJUALAN]]></text>
			</staticText>
			<staticText>
				<reportElement x="48" y="85" width="7" height="15" uuid="bb4c5dba-791f-444b-b58a-0bb58ba8ab75">
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
				</reportElement>
				<textElement verticalAlignment="Middle">
					<font fontName="SansSerif" size="9"/>
				</textElement>
				<text><![CDATA[:]]></text>
			</staticText>
			<staticText>
				<reportElement x="48" y="69" width="7" height="16" uuid="ae3be965-011e-49fe-9d7b-cc6380946f55">
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
				</reportElement>
				<textElement verticalAlignment="Middle">
					<font fontName="SansSerif" size="9"/>
				</textElement>
				<text><![CDATA[:]]></text>
			</staticText>
			<textField evaluationTime="Report">
				<reportElement x="55" y="100" width="183" height="15" uuid="9799ed50-e15a-47fb-bf32-440a54ee057d"/>
				<textElement verticalAlignment="Middle">
					<font fontName="SansSerif" size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[($F{description} == null ? $F{monthly_sequence} : $F{monthly_sequence} + "  ( " + $F{description} + " )")]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="-12" y="85" width="60" height="15" uuid="e3fb9fbd-9413-49a7-a06f-7b04128063f7"/>
				<textElement verticalAlignment="Middle">
					<font fontName="SansSerif" size="9"/>
				</textElement>
				<text><![CDATA[No. PO.]]></text>
			</staticText>
			<staticText>
				<reportElement x="-12" y="100" width="60" height="15" uuid="57f7fa55-c5fa-494b-8227-f998421231f5"/>
				<textElement verticalAlignment="Middle">
					<font fontName="SansSerif" size="9"/>
				</textElement>
				<text><![CDATA[Lampiran]]></text>
			</staticText>
			<staticText>
				<reportElement x="307" y="80" width="56" height="20" uuid="ac940c13-85cb-4f90-9e2c-725d9a507de7"/>
				<textElement>
					<font fontName="SansSerif" size="9"/>
				</textElement>
				<text><![CDATA[Kepada   :]]></text>
			</staticText>
			<line>
				<reportElement positionType="Float" x="-10" y="50" width="599" height="1" uuid="f5094c81-a52d-4162-a227-ea2abf7f8f97">
					<property name="local_mesure_unitheight" value="pixel"/>
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
			</line>
			<textField>
				<reportElement x="55" y="69" width="116" height="16" uuid="1e210a82-2eb4-4128-bdfe-9820014d080a"/>
				<textElement verticalAlignment="Middle">
					<font fontName="SansSerif" size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{invoicecode}]]></textFieldExpression>
			</textField>
			<componentElement>
				<reportElement x="364" y="80" width="188" height="21" uuid="3cc175d4-5f4c-416d-b87c-9497daa0eb72"/>
				<jr:list xmlns:jr="http://jasperreports.sourceforge.net/jasperreports/components" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports/components http://jasperreports.sourceforge.net/xsd/components.xsd" printOrder="Vertical">
					<datasetRun subDataset="AddreesCustomer" uuid="83880078-676b-4a09-bf24-da200647c02a">
						<datasetParameter name="invoicId">
							<datasetParameterExpression><![CDATA[$P{invoiceId}]]></datasetParameterExpression>
						</datasetParameter>
						<connectionExpression><![CDATA[$P{REPORT_CONNECTION}]]></connectionExpression>
					</datasetRun>
					<jr:listContents height="21" width="188">
						<textField>
							<reportElement x="0" y="0" width="188" height="21" uuid="47f9abf7-1c11-49a9-9d51-79a5478f4dab"/>
							<textElement>
								<font fontName="SansSerif" size="9"/>
							</textElement>
							<textFieldExpression><![CDATA[$F{enable_tax} == true ? $F{npwpcompany}:$F{name}]]></textFieldExpression>
						</textField>
					</jr:listContents>
				</jr:list>
			</componentElement>
			<componentElement>
				<reportElement x="364" y="101" width="188" height="27" uuid="10fc142b-380d-47ef-873d-2825db24cc6f"/>
				<jr:list xmlns:jr="http://jasperreports.sourceforge.net/jasperreports/components" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports/components http://jasperreports.sourceforge.net/xsd/components.xsd" printOrder="Vertical">
					<datasetRun subDataset="AddreesCustomer" uuid="7b1fcfab-1852-4dac-91a4-21677c6ff4fd">
						<datasetParameter name="invoicId">
							<datasetParameterExpression><![CDATA[$P{invoiceId}]]></datasetParameterExpression>
						</datasetParameter>
						<connectionExpression><![CDATA[$P{REPORT_CONNECTION}]]></connectionExpression>
					</datasetRun>
					<jr:listContents height="27" width="188">
						<textField>
							<reportElement x="0" y="0" width="188" height="27" uuid="4cd9cb6d-efd2-4dad-b7b4-b06d3a5411ef"/>
							<textElement verticalAlignment="Top">
								<font fontName="SansSerif" size="9"/>
							</textElement>
							<textFieldExpression><![CDATA[$F{deliveryaddress}]]></textFieldExpression>
						</textField>
					</jr:listContents>
				</jr:list>
			</componentElement>
			<textField>
				<reportElement x="55" y="85" width="116" height="15" uuid="81dc229e-7fa4-4f5b-95c9-f15584227e27"/>
				<textElement verticalAlignment="Middle">
					<font fontName="SansSerif" size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{reference}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="96" y="0" width="395" height="18" uuid="dec58c66-b6dd-4da1-82ce-e57bb7136bbf"/>
				<textElement textAlignment="Center" verticalAlignment="Top">
					<font fontName="SansSerif" size="13" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{name}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="122" y="35" width="337" height="15" uuid="0c4ea079-eb25-409b-8040-72962b23304a"/>
				<textElement textAlignment="Center">
					<font fontName="SansSerif"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{address_line_2}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="122" y="20" width="337" height="15" uuid="e8fdc17f-6573-4bbf-b767-5d2bcc3f730b"/>
				<textElement textAlignment="Center">
					<font fontName="SansSerif"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{address_line_1}]]></textFieldExpression>
			</textField>
		</band>
	</pageHeader>
	<detail>
		<band height="407">
			<property name="com.jaspersoft.studio.unit.height" value="px"/>
			<line>
				<reportElement x="-12" y="20" width="1" height="387" uuid="c6c00f55-c1ee-4f46-9680-531fa7c40c67"/>
			</line>
			<line>
				<reportElement x="11" y="20" width="1" height="387" uuid="62f159bc-7851-4cc5-8525-700495dcf429"/>
			</line>
			<textField>
				<reportElement x="-12" y="0" width="23" height="20" uuid="9de32ddd-4be4-4f7a-8d37-ff4016a40ea7"/>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA["No."]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="11" y="0" width="227" height="20" uuid="377f68ad-431d-48e1-aa94-eb2fe88234ed"/>
				<box>
					<topPen lineWidth="1.25" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.25" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.25" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.25" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA["Nama Barang"]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="238" y="0" width="99" height="20" uuid="63f385e9-782c-40b7-b91d-efe6346a29f0"/>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA["Ukuran Barang"]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="337" y="0" width="75" height="20" uuid="3ccf2c62-a2ac-44fc-aade-ce725f86dc4e"/>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA["Banyaknya"]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="412" y="0" width="79" height="20" uuid="3f382e09-f341-4ef9-825d-79c0d75faa63"/>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA["Harga Satuan"]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="491" y="0" width="97" height="20" uuid="0ad3c757-02af-4237-bf3a-08f6843c9570"/>
				<box>
					<topPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="1.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA["Jumlah"]]></textFieldExpression>
			</textField>
			<componentElement>
				<reportElement x="492" y="21" width="93" height="17" uuid="feb3a9a6-48ad-4771-9bad-c4c612e8fa76"/>
				<jr:list xmlns:jr="http://jasperreports.sourceforge.net/jasperreports/components" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports/components http://jasperreports.sourceforge.net/xsd/components.xsd" printOrder="Vertical">
					<datasetRun subDataset="Item" uuid="ca0036b8-5517-4bce-8057-377f2d874a1d">
						<datasetParameter name="invoicId">
							<datasetParameterExpression><![CDATA[$P{invoiceId}]]></datasetParameterExpression>
						</datasetParameter>
						<connectionExpression><![CDATA[$P{REPORT_CONNECTION}]]></connectionExpression>
					</datasetRun>
					<jr:listContents height="17" width="93">
						<textField pattern="#,##0.###;(#,##0.###-)">
							<reportElement x="0" y="0" width="93" height="17" uuid="a13e1c1b-e667-4d62-8810-6ad902b9baa5"/>
							<box topPadding="0" leftPadding="0" bottomPadding="0" rightPadding="4"/>
							<textElement textAlignment="Right" verticalAlignment="Middle"/>
							<textFieldExpression><![CDATA[$F{amount}]]></textFieldExpression>
						</textField>
					</jr:listContents>
				</jr:list>
			</componentElement>
			<line>
				<reportElement x="412" y="20" width="1" height="387" uuid="e38ffe85-4cc4-411a-9721-ade40916c38b"/>
			</line>
			<line>
				<reportElement x="490" y="20" width="1" height="385" uuid="d6768dc5-942e-4481-ba71-c711d904a7c5"/>
			</line>
			<componentElement>
				<reportElement x="238" y="20" width="98" height="18" uuid="e49189e3-085b-4ce6-9eaf-713e30151ed9"/>
				<jr:list xmlns:jr="http://jasperreports.sourceforge.net/jasperreports/components" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports/components http://jasperreports.sourceforge.net/xsd/components.xsd" printOrder="Vertical">
					<datasetRun subDataset="Item" uuid="22d65416-1327-4f31-aae7-f14071a93157">
						<datasetParameter name="invoicId">
							<datasetParameterExpression><![CDATA[$P{invoiceId}]]></datasetParameterExpression>
						</datasetParameter>
						<connectionExpression><![CDATA[$P{REPORT_CONNECTION}]]></connectionExpression>
					</datasetRun>
					<jr:listContents height="18" width="98">
						<textField pattern="#,##0.###;(#,##0.###-)">
							<reportElement x="0" y="0" width="42" height="18" uuid="6293e481-0119-4408-b88a-e7f87408c374"/>
							<textElement textAlignment="Right" verticalAlignment="Middle"/>
							<textFieldExpression><![CDATA[$F{kg} == null || $F{kg}.isEmpty()? $F{quantity} : $F{ctn}]]></textFieldExpression>
						</textField>
						<textField>
							<reportElement x="42" y="0" width="56" height="18" uuid="7ff9c85e-0484-49da-a076-650034537408"/>
							<box leftPadding="6"/>
							<textElement textAlignment="Left" verticalAlignment="Middle"/>
							<textFieldExpression><![CDATA[$F{kg} == null || $F{kg}.isEmpty() ? $F{unitmeanstrument}.equals("PACK") ? "PACK": $F{unitmeanstrument}.equals("WHOLE") ? "PCS": "" : "CTN"]]></textFieldExpression>
						</textField>
					</jr:listContents>
				</jr:list>
			</componentElement>
			<line>
				<reportElement x="588" y="20" width="1" height="387" uuid="b1f36f32-77e9-41ec-abea-e458f38ef857"/>
			</line>
			<line>
				<reportElement x="337" y="20" width="1" height="387" uuid="33fc4615-0758-4d5c-8886-470e6ed08fc4"/>
			</line>
			<componentElement>
				<reportElement x="413" y="20" width="77" height="18" uuid="16299f47-38f5-4226-8dee-2f609043fe83"/>
				<jr:list xmlns:jr="http://jasperreports.sourceforge.net/jasperreports/components" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports/components http://jasperreports.sourceforge.net/xsd/components.xsd" printOrder="Vertical">
					<datasetRun subDataset="Item" uuid="eb5d4f36-c275-4812-bc0d-addec7cf2d8d">
						<datasetParameter name="invoicId">
							<datasetParameterExpression><![CDATA[$P{invoiceId}]]></datasetParameterExpression>
						</datasetParameter>
						<connectionExpression><![CDATA[$P{REPORT_CONNECTION}]]></connectionExpression>
					</datasetRun>
					<jr:listContents height="18" width="77">
						<textField pattern="#,##0.###;(#,##0.###-)">
							<reportElement x="0" y="0" width="77" height="18" uuid="a7f9f817-7b31-4b7c-b58a-761a1f05daa8"/>
							<box rightPadding="4"/>
							<textElement textAlignment="Right" verticalAlignment="Middle"/>
							<textFieldExpression><![CDATA[$F{unitprice}]]></textFieldExpression>
						</textField>
					</jr:listContents>
				</jr:list>
			</componentElement>
			<componentElement>
				<reportElement x="338" y="20" width="74" height="18" uuid="aa23736a-60fb-4694-943e-267bae523294"/>
				<jr:list xmlns:jr="http://jasperreports.sourceforge.net/jasperreports/components" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports/components http://jasperreports.sourceforge.net/xsd/components.xsd" printOrder="Vertical">
					<datasetRun subDataset="Item" uuid="6031819f-f3d3-432a-918a-f0d1af3e6eb4">
						<datasetParameter name="invoicId">
							<datasetParameterExpression><![CDATA[$P{invoiceId}]]></datasetParameterExpression>
						</datasetParameter>
						<connectionExpression><![CDATA[$P{REPORT_CONNECTION}]]></connectionExpression>
					</datasetRun>
					<jr:listContents height="18" width="74">
						<textField>
							<reportElement x="0" y="0" width="73" height="18" uuid="41f7efd8-c975-4ef0-b549-7a413d046046"/>
							<box rightPadding="4"/>
							<textElement textAlignment="Right" verticalAlignment="Middle"/>
							<textFieldExpression><![CDATA[$F{kg} == null || $F{kg}.isEmpty() ? $F{ctn}.equals("") || $F{ctn} == null ? $F{is_raw_material} == true ? new DecimalFormat("#,##0.00").format($F{weight}) + "  KG": $F{weight}.divide(BigDecimal.valueOf($F{quantity})).compareTo(BigDecimal.valueOf(0.9999)) < 0.9999 ?  "" :new DecimalFormat("#,##0").format($F{weight}) + " KG" : $F{ctn} : $F{kg}]]></textFieldExpression>
						</textField>
					</jr:listContents>
				</jr:list>
			</componentElement>
			<line>
				<reportElement x="237" y="21" width="1" height="385" uuid="b6c0456e-8156-40c4-a0c5-b2596169081f"/>
			</line>
			<componentElement>
				<reportElement x="12" y="20" width="225" height="18" uuid="f491fb45-83a3-42ba-bcc4-293240064fec"/>
				<jr:list xmlns:jr="http://jasperreports.sourceforge.net/jasperreports/components" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports/components http://jasperreports.sourceforge.net/xsd/components.xsd" printOrder="Vertical">
					<datasetRun subDataset="Item" uuid="92681546-080a-4ff7-bac9-6108ea218deb">
						<datasetParameter name="invoicId">
							<datasetParameterExpression><![CDATA[$P{invoiceId}]]></datasetParameterExpression>
						</datasetParameter>
						<connectionExpression><![CDATA[$P{REPORT_CONNECTION}]]></connectionExpression>
					</datasetRun>
					<jr:listContents height="18" width="225">
						<textField>
							<reportElement x="0" y="0" width="225" height="18" uuid="502c9856-d1d1-4526-936b-7df94994c2b0"/>
							<box leftPadding="2">
								<pen lineWidth="1.0"/>
								<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
								<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
								<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
								<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
							</box>
							<textElement verticalAlignment="Middle">
								<font fontName="SansSerif" size="9"/>
							</textElement>
							<textFieldExpression><![CDATA[$F{alternative_name} !=null ? $F{alternative_name} : $F{name}.toUpperCase()]]></textFieldExpression>
						</textField>
					</jr:listContents>
				</jr:list>
			</componentElement>
			<componentElement>
				<reportElement x="-11" y="20" width="22" height="18" uuid="fc5c266e-4bed-47b4-836f-49e3a2c6b1c1"/>
				<jr:list xmlns:jr="http://jasperreports.sourceforge.net/jasperreports/components" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports/components http://jasperreports.sourceforge.net/xsd/components.xsd" printOrder="Vertical">
					<datasetRun subDataset="Item" uuid="a4b49156-0649-42b3-bb21-a35a6639e82f">
						<datasetParameter name="invoicId">
							<datasetParameterExpression><![CDATA[$P{invoiceId}]]></datasetParameterExpression>
						</datasetParameter>
						<connectionExpression><![CDATA[$P{REPORT_CONNECTION}]]></connectionExpression>
					</datasetRun>
					<jr:listContents height="18" width="22">
						<textField>
							<reportElement x="0" y="0" width="22" height="18" uuid="e50515aa-c2cb-4392-9f6c-a3d98ca28620"/>
							<box leftPadding="2">
								<pen lineWidth="1.0"/>
								<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
								<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
								<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
								<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
							</box>
							<textElement textAlignment="Center" verticalAlignment="Middle">
								<font fontName="SansSerif" size="9"/>
							</textElement>
							<textFieldExpression><![CDATA[$V{COLUMN_COUNT}]]></textFieldExpression>
						</textField>
					</jr:listContents>
				</jr:list>
			</componentElement>
		</band>
	</detail>
	<pageFooter>
		<band height="211">
			<staticText>
				<reportElement x="410" y="124" width="4" height="13" uuid="c1686f2c-fd07-4c70-a06e-d066f90e9cd3">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
					<property name="com.jaspersoft.studio.unit.y" value="cm"/>
				</reportElement>
				<textElement>
					<font fontName="SansSerif"/>
				</textElement>
				<text><![CDATA[(]]></text>
			</staticText>
			<line>
				<reportElement positionType="Float" x="414" y="134" width="117" height="1" uuid="04c17add-2729-4bf4-ad48-bedfb8141365">
					<property name="local_mesure_unitheight" value="pixel"/>
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
			</line>
			<staticText>
				<reportElement x="531" y="123" width="4" height="13" uuid="dbdd50aa-b31a-4ead-8495-0bc1c4410f58">
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<textElement>
					<font fontName="SansSerif"/>
				</textElement>
				<text><![CDATA[)]]></text>
			</staticText>
			<staticText>
				<reportElement x="413" y="66" width="118" height="17" uuid="ff6e0f5f-1a46-4a06-915a-1f993b65bec9">
					<property name="com.jaspersoft.studio.unit.y" value="cm"/>
				</reportElement>
				<textElement textAlignment="Center">
					<font fontName="SansSerif" size="12"/>
				</textElement>
				<text><![CDATA[Pengirim]]></text>
			</staticText>
			<staticText>
				<reportElement x="40" y="66" width="118" height="17" uuid="1b229447-69b0-4e6a-9156-8adff2f3731f"/>
				<textElement textAlignment="Center">
					<font fontName="SansSerif" size="12"/>
				</textElement>
				<text><![CDATA[Penerima]]></text>
			</staticText>
			<staticText>
				<reportElement x="39" y="114" width="4" height="13" uuid="1801ee94-19a4-4153-96e5-5761ac056233">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
				</reportElement>
				<textElement>
					<font fontName="SansSerif"/>
				</textElement>
				<text><![CDATA[(]]></text>
			</staticText>
			<staticText>
				<reportElement x="162" y="113" width="4" height="13" uuid="35d3abee-7f4d-4bb1-b87c-87500c9fb8c2">
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<textElement>
					<font fontName="SansSerif"/>
				</textElement>
				<text><![CDATA[)]]></text>
			</staticText>
			<line>
				<reportElement positionType="Float" x="43" y="124" width="117" height="1" uuid="1484fc58-c717-4a8c-b895-b5ba26364134">
					<property name="local_mesure_unitheight" value="pixel"/>
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
			</line>
			<rectangle>
				<reportElement x="5" y="135" width="262" height="71" uuid="70896448-6b53-4a45-b753-a3aab15cbf0e"/>
			</rectangle>
			<staticText>
				<reportElement x="10" y="140" width="253" height="11" uuid="ad1b783e-6857-4dba-b967-13e77ff8156e"/>
				<textElement>
					<font fontName="SansSerif" size="8"/>
				</textElement>
				<text><![CDATA[Pembayaran transfer wajib menggunakan rekening resmi sbb :]]></text>
			</staticText>
			<staticText>
				<reportElement x="12" y="186" width="253" height="21" uuid="7e8b49e0-860d-4c0e-86d8-ee070c9f6813"/>
				<textElement>
					<font fontName="SansSerif" size="8"/>
				</textElement>
				<text><![CDATA[Pembayaran transfer selain melalui rekening resmi adalah diluar tanggung jawab kami]]></text>
			</staticText>
			<staticText>
				<reportElement x="34" y="176" width="29" height="11" uuid="f82f6b75-a904-4590-a438-49ba114cc282"/>
				<textElement>
					<font fontName="SansSerif" size="8"/>
				</textElement>
				<text><![CDATA[Bank]]></text>
			</staticText>
			<staticText>
				<reportElement x="34" y="164" width="56" height="11" uuid="b0cf3f2d-333b-4caa-aaf3-d4da18cb7f8b"/>
				<textElement>
					<font fontName="SansSerif" size="8"/>
				</textElement>
				<text><![CDATA[No               :]]></text>
			</staticText>
			<staticText>
				<reportElement x="34" y="153" width="56" height="11" uuid="9cfa3dc5-1c81-4480-8ddf-b9bc4f93999f"/>
				<textElement>
					<font fontName="SansSerif" size="8"/>
				</textElement>
				<text><![CDATA[A/n              :]]></text>
			</staticText>
			<line>
				<reportElement positionType="Float" x="-12" y="63" width="601" height="2" uuid="db0bda4d-d469-49a9-9529-431e22888379">
					<property name="local_mesure_unitheight" value="pixel"/>
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
			</line>
			<textField>
				<reportElement x="63" y="176" width="175" height="10" uuid="5f12b121-1aa1-4616-a00e-19d37ad98113"/>
				<textElement verticalAlignment="Middle">
					<font fontName="SansSerif" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{bank_name}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="90" y="164" width="148" height="12" uuid="f1599577-a12e-4631-9064-89fa1d7e1597"/>
				<textElement verticalAlignment="Middle">
					<font fontName="SansSerif" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{bank_acct_number}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="90" y="153" width="149" height="11" uuid="ea39edc4-89eb-4585-b93c-000b0ff933c3"/>
				<textElement verticalAlignment="Middle">
					<font fontName="SansSerif" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{bank_acct_holder}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.###;(#,##0.###-)">
				<reportElement x="435" y="51" width="122" height="12" uuid="fd80979f-058e-4f40-a21f-4b6b1b0c4944"/>
				<textElement textAlignment="Right">
					<font fontName="SansSerif" size="9" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{total}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.###;(#,##0.###-)">
				<reportElement x="435" y="3" width="122" height="12" uuid="fbd5c6a2-aaf2-45ba-9984-cc7e5718bf7f"/>
				<textElement textAlignment="Right">
					<font fontName="SansSerif" size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{subtotal}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="267" y="15" width="27" height="12" isRemoveLineWhenBlank="true" uuid="dd27a064-eab9-493b-b2ea-21f56026cbea">
					<printWhenExpression><![CDATA[$V{isPPn}==true]]></printWhenExpression>
				</reportElement>
				<textElement textAlignment="Left">
					<font fontName="SansSerif" size="9"/>
				</textElement>
				<text><![CDATA[PPN]]></text>
			</staticText>
			<staticText>
				<reportElement x="363" y="51" width="72" height="12" uuid="1d781ed9-06d9-4535-bd0a-7dbc760eac46">
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
				</reportElement>
				<textElement textAlignment="Right">
					<font fontName="SansSerif" size="9" isBold="true"/>
				</textElement>
				<text><![CDATA[Rp.]]></text>
			</staticText>
			<staticText>
				<reportElement x="267" y="27" width="86" height="12" isRemoveLineWhenBlank="true" uuid="35c86534-b427-44a3-ba11-a848212d51c0">
					<printWhenExpression><![CDATA[$F{discount}.compareTo(BigDecimal.ZERO) != 0]]></printWhenExpression>
				</reportElement>
				<textElement textAlignment="Left">
					<font fontName="SansSerif" size="9"/>
				</textElement>
				<text><![CDATA[Discount]]></text>
			</staticText>
			<textField pattern="#,##0.###;(#,##0.###-)" isBlankWhenNull="true">
				<reportElement x="435" y="27" width="122" height="12" isRemoveLineWhenBlank="true" uuid="5b9ebe45-e913-44be-88d2-6af99f1f77a7">
					<printWhenExpression><![CDATA[$F{discount}.compareTo(BigDecimal.ZERO) != 0]]></printWhenExpression>
				</reportElement>
				<textElement textAlignment="Right" markup="none"/>
				<textFieldExpression><![CDATA[$F{discount}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="267" y="51" width="86" height="12" uuid="ecfa2d16-ed6b-4ca8-877f-baa4f97c6d1e"/>
				<textElement textAlignment="Left">
					<font fontName="SansSerif" size="9" isBold="true"/>
				</textElement>
				<text><![CDATA[Grand Total]]></text>
			</staticText>
			<staticText>
				<reportElement x="353" y="3" width="10" height="12" uuid="e1e7e684-77ad-4343-88d3-8317a5c5e873">
					<property name="com.jaspersoft.studio.unit.x" value="pixel"/>
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<textElement>
					<font fontName="SansSerif" size="9"/>
				</textElement>
				<text><![CDATA[:]]></text>
			</staticText>
			<staticText>
				<reportElement x="353" y="15" width="10" height="12" isRemoveLineWhenBlank="true" uuid="575506a9-9b2e-4abd-9b9e-2b7bcaffa655">
					<property name="com.jaspersoft.studio.unit.x" value="pixel"/>
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
					<printWhenExpression><![CDATA[$V{isPPn}==true]]></printWhenExpression>
				</reportElement>
				<textElement>
					<font fontName="SansSerif" size="9"/>
				</textElement>
				<text><![CDATA[:]]></text>
			</staticText>
			<staticText>
				<reportElement x="267" y="3" width="86" height="12" uuid="47b38cc8-529c-4f19-90bc-d7ac83fa1442"/>
				<textElement textAlignment="Left">
					<font fontName="SansSerif" size="9"/>
				</textElement>
				<text><![CDATA[Subtotal]]></text>
			</staticText>
			<componentElement>
				<reportElement x="435" y="15" width="122" height="12" isRemoveLineWhenBlank="true" uuid="4140e7d4-b323-4108-9ced-21c576a47056">
					<printWhenExpression><![CDATA[$V{isPPn}==true]]></printWhenExpression>
				</reportElement>
				<jr:list xmlns:jr="http://jasperreports.sourceforge.net/jasperreports/components" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports/components http://jasperreports.sourceforge.net/xsd/components.xsd" printOrder="Vertical">
					<datasetRun subDataset="TotalPPn" uuid="7c83989d-405e-4253-bb16-8499fa1eb51e">
						<datasetParameter name="invoicId">
							<datasetParameterExpression><![CDATA[$P{invoiceId}]]></datasetParameterExpression>
						</datasetParameter>
						<connectionExpression><![CDATA[$P{REPORT_CONNECTION}]]></connectionExpression>
					</datasetRun>
					<jr:listContents height="12" width="122">
						<textField>
							<reportElement x="0" y="0" width="122" height="12" uuid="6ee26f6d-8bbe-4228-836b-0435f84ceb17"/>
							<textElement textAlignment="Right">
								<font fontName="SansSerif" size="9"/>
							</textElement>
							<textFieldExpression><![CDATA[new java.text.DecimalFormat("#,##0").format($F{gst})]]></textFieldExpression>
						</textField>
					</jr:listContents>
				</jr:list>
			</componentElement>
			<staticText>
				<reportElement x="353" y="51" width="10" height="12" uuid="314384bf-1999-4d7f-9726-8dddefb11dfb">
					<property name="com.jaspersoft.studio.unit.x" value="pixel"/>
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<textElement>
					<font fontName="SansSerif" size="9" isBold="true"/>
				</textElement>
				<text><![CDATA[:]]></text>
			</staticText>
			<staticText>
				<reportElement x="363" y="15" width="72" height="12" isRemoveLineWhenBlank="true" uuid="00dd9fd7-9a50-4c27-b70c-fa8b41a18938">
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
					<printWhenExpression><![CDATA[$V{isPPn}==true]]></printWhenExpression>
				</reportElement>
				<textElement textAlignment="Right">
					<font fontName="SansSerif" size="9"/>
				</textElement>
				<text><![CDATA[Rp.]]></text>
			</staticText>
			<staticText>
				<reportElement x="363" y="3" width="72" height="12" uuid="18c5bc46-895f-493d-bd90-a72385b2049d">
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
				</reportElement>
				<textElement textAlignment="Right">
					<font fontName="SansSerif" size="9"/>
				</textElement>
				<text><![CDATA[Rp.]]></text>
			</staticText>
			<staticText>
				<reportElement x="353" y="27" width="10" height="12" isRemoveLineWhenBlank="true" uuid="9855922a-c8f2-43ec-92e0-48bf01e7fec6">
					<property name="com.jaspersoft.studio.unit.x" value="pixel"/>
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
					<printWhenExpression><![CDATA[$F{discount}.compareTo(BigDecimal.ZERO) != 0]]></printWhenExpression>
				</reportElement>
				<textElement>
					<font fontName="SansSerif" size="9"/>
				</textElement>
				<text><![CDATA[:]]></text>
			</staticText>
			<line>
				<reportElement x="-12" y="0" width="601" height="1" uuid="9bda9fea-43f1-46c1-b6b4-10a5eda5eb10"/>
			</line>
			<componentElement>
				<reportElement x="294" y="15" width="49" height="12" isRemoveLineWhenBlank="true" uuid="e61a0b66-cad0-40e2-93d9-6ef47ca08c0e">
					<printWhenExpression><![CDATA[$V{isPPn}==true]]></printWhenExpression>
				</reportElement>
				<jr:list xmlns:jr="http://jasperreports.sourceforge.net/jasperreports/components" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports/components http://jasperreports.sourceforge.net/xsd/components.xsd" printOrder="Vertical">
					<datasetRun subDataset="ppn" uuid="17cc9181-3918-4a59-8a00-e3b0aad85fd4"/>
					<jr:listContents height="12" width="49">
						<textField>
							<reportElement x="0" y="0" width="49" height="12" uuid="b02849c5-d667-45dd-af12-845097101ade"/>
							<textElement>
								<font size="9"/>
							</textElement>
							<textFieldExpression><![CDATA[$F{value}]]></textFieldExpression>
						</textField>
					</jr:listContents>
				</jr:list>
			</componentElement>
			<staticText>
				<reportElement x="267" y="39" width="86" height="12" isRemoveLineWhenBlank="true" uuid="a58906fe-1c7c-4564-8006-c691656793f9">
					<printWhenExpression><![CDATA[$F{delivery_charge}.compareTo(BigDecimal.ZERO) != 0]]></printWhenExpression>
				</reportElement>
				<textElement textAlignment="Left">
					<font fontName="SansSerif" size="9"/>
				</textElement>
				<text><![CDATA[Ongkos Kirim]]></text>
			</staticText>
			<textField pattern="#,##0.###;(#,##0.###-)" isBlankWhenNull="true">
				<reportElement x="435" y="39" width="122" height="12" isRemoveLineWhenBlank="true" uuid="8384e49a-e17b-43b6-bcfe-c4ce3dd4542f">
					<printWhenExpression><![CDATA[$F{delivery_charge}.compareTo(BigDecimal.ZERO) != 0]]></printWhenExpression>
				</reportElement>
				<textElement textAlignment="Right" markup="none"/>
				<textFieldExpression><![CDATA[$F{delivery_charge}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="353" y="39" width="10" height="12" isRemoveLineWhenBlank="true" uuid="6e905689-f520-4b60-855f-78214524d8ec">
					<property name="com.jaspersoft.studio.unit.x" value="pixel"/>
					<property name="com.jaspersoft.studio.unit.width" value="px"/>
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
					<printWhenExpression><![CDATA[$F{delivery_charge}.compareTo(BigDecimal.ZERO) != 0]]></printWhenExpression>
				</reportElement>
				<textElement>
					<font fontName="SansSerif" size="9"/>
				</textElement>
				<text><![CDATA[:]]></text>
			</staticText>
		</band>
	</pageFooter>
</jasperReport>
